# wp-tg-bot

Telegram Bot for posting in Wordpress.

# Usage
!! **0. Change code for your WP-site in echo_bot.py**!!
1. Clone proj to your machine. 
2. Configure python virtual env and intall requirments.txt
3. I don't khow for what and why, but install Redis
4. Change PATHs to work DIRs in _wp-tg-bot.service_ and move _wp-tg-bot.service_ in /lib/systemd/system/
5. enable and start service wp-tg-bot
Source (RU): https://temofeev.ru/info/articles/sozdanie-python-telegram-bota-i-ego-deploy-na-virtualnuyu-mashinu/

# Some important comments
GIT repo in "wp-tg-bot" path + virtualenv in "bot" path

# Future steps
Technical Assignment (RU, docs.google): https://docs.google.com/document/d/1s6_MHgvPdalR_NbvJzxc81DMt-MjVXjCR2YhWrxCAP8/edit?usp=sharing
